{
  "name": "mush-front",
  "version": "0.11.0",
  "license": "AGPL-3.0-or-later",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "serve": "vite --host",
    "test": "vitest",
    "test-ci": "vitest run",
    "lint": "eslint --ext .js,.ts,.vue --ignore-path .gitignore --fix src"
  },
  "dependencies": {
    "@unhead/vue": "^1.11.10",
    "@vitejs/plugin-vue": "^5.1.4",
    "axios": "^1.7.9",
    "date-fns": "^4.1.0",
    "jl-datatable": "^1.1.1",
    "phaser": "^3.86.0",
    "phaser-navmesh": "^2.3.1",
    "phaser3-rex-plugins": "^1.80.9",
    "qs": "^6.13.0",
    "sanitize-html": "^2.13.1",
    "url-join": "^5.0.0",
    "vite": "^5.4.10",
    "vue": "^3.5.12",
    "vue-axios": "^3.5.2",
    "vue-class-component": "^8.0.0-rc.1",
    "vue-i18n": "^10.0.5",
    "vue-router": "^4.4.5",
    "vue-tippy": "~6.5.0",
    "vue3-uuid": "^1.0.0",
    "vuex": "^4.1.0"
  },
  "devDependencies": {
    "@rollup/plugin-typescript": "^12.1.1",
    "@types/node": "^22.8.4",
    "@types/sanitize-html": "^2.11.0",
    "@types/sinon": "^17.0.3",
    "@types/url-join": "^4.0.3",
    "@typescript-eslint/eslint-plugin": "7.6.0",
    "@typescript-eslint/parser": "7.6.0",
    "@vue/eslint-config-typescript": "13.0.0",
    "@vue/test-utils": "^2.4.6",
    "eslint": "8.57.0",
    "eslint-config-prettier": "9.1.0",
    "eslint-plugin-prettier-vue": "5.0.0",
    "eslint-plugin-vue": "9.27.0",
    "prettier": "^3.3.3",
    "sass": "^1.80.5",
    "sass-loader": "^16.0.2",
    "sinon": "^19.0.2",
    "stylelint": "^16.10.0",
    "stylelint-config-standard": "^36.0.1",
    "ts-node": "^10.9.2",
    "typescript": "~5.6.3",
    "vite-plugin-pwa": "^0.21.1",
    "vitest": "^2.1.4",
    "workbox-precaching": "^7.3.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead"
  ],
  "installConfig": {
    "hoistingLimits": "workspaces"
  }
}
